// # Source: https://github.com/Wenmoux/checkbox/blob/master/scripts/lkong.js
// # Raw: https://raw.githubusercontent.com/Wenmoux/checkbox/master/scripts/lkong.js
// # Repo: Wenmoux/checkbox
// # Path: scripts/lkong.js
// # UploadedAt: 2021-04-16T00:43:18Z
// # SHA256: 31125817fbd89450962eccb39bdd21d8768afc609a6b7b50c59ae078e842da40
// # Category: APP版/抓包
// # Evidence: cookie/token/authorization/header
// 

const axios = require("axios");
function task() {
  return new Promise(async (resolve) => {
    try {
      let cookie = config.lkong.cookie;
      let url = "http://lkong.cn/index.php?mod=ajax&action=punch";
      let res = await axios.get(url, { headers: { cookie: cookie } });
      if (res.data.punchday) {
        msg = `签到成功✅已连签${res.data.punchday}天`;
      } else {
        msg = res.data.error;
      }
      console.log(msg);
    } catch (err) {
      msg = "签到接口请求出错";
      console.log(err);
    }
    resolve("【龙空论坛】：" + msg);
  });
}

//task()
module.exports = task;
